Class | XMLRPC::Marshal
In: | xmlrpc/marshal.rb
Parent: | Object

### Methods

dump_call dump_call dump_response dump_response load_call load_call load_response load_response new

### Included Modules

ParserWriterChooseMixin

### External Aliases

dump_response | -> | dump
load_response | -> | load

### Public Class methods

dump_call( methodName, *params )

[Source]

    # File xmlrpc/marshal.rb, line 23
          def dump_call( methodName, *params )
            new.dump_call( methodName, *params )
          end

dump_response( param )

[Source]

    # File xmlrpc/marshal.rb, line 27
          def dump_response( param )
            new.dump_response( param )
          end

load_call( stringOrReadable )

[Source]

    # File xmlrpc/marshal.rb, line 31
          def load_call( stringOrReadable )
            new.load_call( stringOrReadable )
          end

load_response( stringOrReadable )

[Source]

    # File xmlrpc/marshal.rb, line 35
          def load_response( stringOrReadable )
            new.load_response( stringOrReadable )
          end

new( parser = nil, writer = nil )

instance methods —————————-

[Source]

    # File xmlrpc/marshal.rb, line 46
        def initialize( parser = nil, writer = nil )
          set_parser( parser )
          set_writer( writer )
        end

### Public Instance methods

dump_call( methodName, *params )

[Source]

    # File xmlrpc/marshal.rb, line 51
        def dump_call( methodName, *params )
          create.methodCall( methodName, *params )
        end

dump_response( param )

[Source]

    # File xmlrpc/marshal.rb, line 55
        def dump_response( param )
          create.methodResponse( ! param.kind_of?( XMLRPC::FaultException ) , param )
        end

load_call( stringOrReadable )

returns [ methodname, params ]

[Source]

    # File xmlrpc/marshal.rb, line 62
        def load_call( stringOrReadable )
          parser.parseMethodCall( stringOrReadable )
        end

load_response( stringOrReadable )

returns paramOrFault

[Source]

    # File xmlrpc/marshal.rb, line 69
        def load_response( stringOrReadable )
          parser.parseMethodResponse( stringOrReadable )[1]
        end

[Validate]